Package org.eclipse.jdt.ui.actions

# Class AbstractOpenWizardAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.jdt.ui.actions.AbstractOpenWizardAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`

Direct Known Subclasses:
  `OpenNewAnnotationWizardAction`, `OpenNewClassWizardAction`, `OpenNewEnumWizardAction`, `OpenNewInterfaceWizardAction`, `OpenNewJavaProjectWizardAction`, `OpenNewPackageWizardAction`, `OpenNewRecordWizardAction`, `OpenNewSourceFolderWizardAction`

public abstract class AbstractOpenWizardAction extends org.eclipse.jface.action.Action

Abstract base classed used for the open wizard actions.

Note: This class is for internal use only. Clients should not use this class.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractOpenWizardAction()`
Creates the action.

## Method Summary

Modifier and Type
Method
Description
`protected abstract org.eclipse.ui.INewWizard`
`createWizard()`
Creates and configures the wizard.
`protected boolean`
`doCreateProjectFirstOnEmptyWorkspace(org.eclipse.swt.widgets.Shell shell)`
Opens the new project dialog if the workspace is empty.
`IJavaElement`
`getCreatedElement()`
Returns the created element or `null` if the wizard has not run or was canceled.
`protected org.eclipse.jface.viewers.IStructuredSelection`
`getSelection()`
Returns the configured selection.
`protected org.eclipse.swt.widgets.Shell`
`getShell()`
Returns the configured shell.
`void`
`run()`
`void`
`setSelection(org.eclipse.jface.viewers.IStructuredSelection selection)`
Configures the selection to be used as initial selection of the wizard.
`void`
`setShell(org.eclipse.swt.widgets.Shell shell)`
Configures the shell to be used as parent shell by the wizard.

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractOpenWizardAction

protected AbstractOpenWizardAction()
Creates the action.

## Method Details

### run

public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`

### createWizard

protected abstract org.eclipse.ui.INewWizard createWizard() throws org.eclipse.core.runtime.CoreException
Creates and configures the wizard. This method should only be called once.

Returns:
  returns the created wizard.
Throws:
  `org.eclipse.core.runtime.CoreException` - exception is thrown when the creation was not successful.

### getSelection

protected org.eclipse.jface.viewers.IStructuredSelection getSelection()
Returns the configured selection. If no selection has been configured using `setSelection(IStructuredSelection)`, the currently selected element of the active workbench is returned.

Returns:
  the configured selection

### setSelection

public void setSelection(org.eclipse.jface.viewers.IStructuredSelection selection)
Configures the selection to be used as initial selection of the wizard.

Parameters:
  `selection` - the selection to be set or `null` to use the selection of the active workbench window

### getShell

protected org.eclipse.swt.widgets.Shell getShell()
Returns the configured shell. If no shell has been configured using `setShell(Shell)`, the shell of the currently active workbench is returned.

Returns:
  the configured shell

### setShell

public void setShell(org.eclipse.swt.widgets.Shell shell)
Configures the shell to be used as parent shell by the wizard.

Parameters:
  `shell` - the shell to be set or `null` to use the shell of the active workbench window

### doCreateProjectFirstOnEmptyWorkspace

protected boolean doCreateProjectFirstOnEmptyWorkspace(org.eclipse.swt.widgets.Shell shell)
Opens the new project dialog if the workspace is empty. This method is called on `run()`.

Parameters:
  `shell` - the shell to use
Returns:
  returns `true` when a project has been created, or `false` when the new project has been canceled.

### getCreatedElement

public IJavaElement getCreatedElement()
Returns the created element or `null` if the wizard has not run or was canceled.

Returns:
  the created element or `null`